### Method

# Fwupd Client get_devices_by_guid_finish

since: 1.5.0

#### Declaration [src]

    GPtrArray*
    fwupd_client_get_devices_by_guid_finish (
      FwupdClient* self,
      GAsyncResult* res,
      GError** error
    )

#### Description [src]

Gets the result of `fwupd_client_get_devices_by_guid_async()`.

Available since: 1.5.0

#### Parameters

`res`

  Type: `GAsyncResult`

  The asynchronous result.

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: An array of `None`

Results.

The caller of the method takes ownership of the data container, but not the data inside it.